Skip to content
Start here

Get Vectorize Index

client.Vectorize.Indexes.Get(ctx, indexName, query) (*CreateIndex, error)
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}

Returns the specified Vectorize Index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
indexName string
query IndexGetParams
AccountID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type CreateIndex struct{…}
Dimensions int64

Specifies the number of dimensions for the index

maximum1536
minimum1
Metric IndexDimensionConfigurationMetric

Specifies the type of metric to use calculating distance.

One of the following:
const IndexDimensionConfigurationMetricCosine IndexDimensionConfigurationMetric = "cosine"
const IndexDimensionConfigurationMetricEuclidean IndexDimensionConfigurationMetric = "euclidean"
const IndexDimensionConfigurationMetricDOTProduct IndexDimensionConfigurationMetric = "dot-product"
CreatedOn Timeoptional

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
Description stringoptional

Specifies the description of the index.

ModifiedOn Timeoptional

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time
Name stringoptional

Get Vectorize Index

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/vectorize"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  createIndex, err := client.Vectorize.Indexes.Get(
    context.TODO(),
    "example-index",
    vectorize.IndexGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", createIndex.Config)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}